> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all payouts

> Lists all payouts for your account.

Note that this endpoint does not return the tracking reference number for the payouts in the response. If you need that information you must get each payout individually by ID.




## OpenAPI

````yaml openapi/account.yaml get /v1/businessAccount/payouts
openapi: 3.0.2
info:
  version: ${version}
  title: Core Functionality
  description: >
    All of Circle's APIs share a common set of core functionality that lets you
    manage your Circle Account in a programmatic way.


    With a Circle Account your business can deposit traditional money from 80+
    countries and seamlessly convert them into "digital currency dollars": USDC.
    You can then use USDC for everyday payments and treasury flows.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Balances
    description: Get information on settled and unsettled balances.
  - name: Payouts
    description: Create and get information on 1st party payouts.
  - name: Wires
    description: >-
      Create, get instructions, and get information on 1st party bank accounts
      for wire transfers.
  - name: CUBIX
    description: Create and get information on CUBIX accounts.
  - name: PIX
    description: Create and get information on PIX accounts.
  - name: Transfers
    description: Create and get information on 1st party transfers.
  - name: Addresses
    description: Generate and get information on blockchain addresses.
  - name: Deposits
    description: Get information on 1st party deposits.
  - name: Payments
    description: Create, cancel, refund, and get updates on card payments.
  - name: Settlement Bank Routing
    description: View and manage settlement bank routing preferences for fiat accounts.
  - name: Reporting
    description: >-
      Retrieve transaction and balance reports, including ISO 20022 (CAMT.053)
      statements and managed-payment reports.
paths:
  /v1/businessAccount/payouts:
    get:
      tags:
        - Payouts
      summary: List all payouts
      description: >
        Lists all payouts for your account.


        Note that this endpoint does not return the tracking reference number
        for the payouts in the response. If you need that information you must
        get each payout individually by ID.
      operationId: listBusinessPayouts
      parameters:
        - $ref: '#/components/parameters/Destination'
        - name: type
          description: >-
            Destination bank account type. Filters the results to fetch all
            payouts made to a specified destination bank account type. This
            query parameter can be passed multiple times to fetch results
            matching multiple destination bank account types.
          in: query
          required: false
          schema:
            type: string
            enum:
              - wire
              - cubix
        - name: status
          description: >-
            Queries items with the specified status. Matches any status if
            unspecified.
          in: query
          required: false
          schema:
            type: array
            uniqueItems: true
            items:
              $ref: '#/components/schemas/PayoutStatus'
        - name: sourceWalletId
          description: Filters for payouts created from a specific source wallet.
          in: query
          required: false
          schema:
            type: string
            format: uuid
        - $ref: '#/components/parameters/From'
        - $ref: '#/components/parameters/To'
        - $ref: '#/components/parameters/PageBefore'
        - $ref: '#/components/parameters/PageAfter'
        - $ref: '#/components/parameters/PageSize'
      responses:
        '200':
          description: Successfully retrieved a list of payouts.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListBusinessPayout'
              examples:
                response:
                  value:
                    data:
                      - id: b8627ae8-732b-4d25-b947-1df8f4007a29
                        sourceWalletId: '53535335'
                        destination:
                          type: wire
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          name: COMMERZBANK AG ****3000
                        amount:
                          amount: '3.14'
                          currency: USD
                        toAmount:
                          amount: '3.14'
                          currency: USD
                        fees:
                          amount: '3.14'
                          currency: USD
                        status: pending
                        errorCode: insufficient_funds
                        riskEvaluation:
                          decision: approved
                          reason: '3000'
                        adjustments:
                          fxCredit:
                            amount: '3.14'
                            currency: USD
                          fxDebit:
                            amount: '3.14'
                            currency: USD
                        return:
                          id: b8627ae8-732b-4d25-b947-1df8f4007a29
                          payoutId: abdb500d-4a59-457c-801f-2d418c8703ac
                          amount:
                            amount: '3.14'
                            currency: USD
                          fees:
                            amount: '3.14'
                            currency: USD
                          reason: payout_returned
                          status: pending
                          createDate: '2020-04-10T02:13:30.000Z'
                          updateDate: '2020-04-10T02:13:30.000Z'
                        createDate: '2020-04-10T02:13:30.000Z'
                        updateDate: '2020-04-10T02:13:30.000Z'
        '401':
          $ref: '#/components/responses/NotAuthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    Destination:
      name: destination
      description: >-
        Universally unique identifier (UUID v4) for the destination bank
        account. Filters the results to fetch all payouts made to a destination
        bank account.
      in: query
      required: false
      schema:
        type: string
        format: uuid
        example: e3d0a838-d732-49d0-bf44-73a668e38973
    From:
      name: from
      description: Queries items created since the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    To:
      name: to
      description: Queries items created before the specified date-time (inclusive).
      in: query
      required: false
      schema:
        type: string
        format: date-time
        example: '2020-04-10T02:13:30.000Z'
    PageBefore:
      name: pageBefore
      description: >
        A collection ID value used for pagination.


        It marks the exclusive end of a page. When provided, the collection
        resource will return the next `n` items before

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageAfter.
      in: query
      required: false
      schema:
        type: string
    PageAfter:
      name: pageAfter
      description: >
        A collection ID value used for pagination.


        It marks the exclusive begin of a page. When provided, the collection
        resource will return the next `n` items after

        the id, with `n` being specified by `pageSize`.


        The items will be returned in the natural order of the collection.


        The resource will return the first page if neither `pageAfter` nor
        `pageBefore` are specified.


        SHOULD NOT be used in conjuction with pageBefore.
      in: query
      required: false
      schema:
        type: string
    PageSize:
      name: pageSize
      description: >
        Limits the number of items to be returned.


        Some collections have a strict upper bound that will disregard this
        value. In case the specified value is higher

        than the allowed limit, the collection limit will be used.


        If avoided, the collection will determine the page size itself.
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        example: 5
  schemas:
    PayoutStatus:
      type: string
      description: >-
        Status of the payout. Status `pending` indicates that the payout is in
        process; `complete` indicates it finished successfully; `failed`
        indicates it failed.
      enum:
        - pending
        - complete
        - failed
    ListBusinessPayout:
      title: ListBusinessPayoutsResponse
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                $ref: '#/components/schemas/Id'
              sourceWalletId:
                type: string
                description: The identifier of the source wallet used to fund a payout.
                example: '53535335'
              destination:
                $ref: '#/components/schemas/BankDestination'
              amount:
                $ref: '#/components/schemas/FiatMoney'
              toAmount:
                $ref: '#/components/schemas/FiatPayoutToMoney'
              fees:
                $ref: '#/components/schemas/FiatMoneyUsd'
              status:
                $ref: '#/components/schemas/PayoutStatus'
              errorCode:
                $ref: '#/components/schemas/PayoutErrorCode'
              riskEvaluation:
                $ref: '#/components/schemas/RiskEvaluation'
              adjustments:
                $ref: '#/components/schemas/FinalAdjustments'
              return:
                $ref: '#/components/schemas/UnwithdrawalObject'
              createDate:
                $ref: '#/components/schemas/UtcTimestamp'
              updateDate:
                $ref: '#/components/schemas/UtcTimestamp'
    Id:
      type: string
      description: Unique system generated identifier for the entity.
      format: uuid
      example: b8627ae8-732b-4d25-b947-1df8f4007a29
    BankDestination:
      type: object
      description: The destination bank account.
      required:
        - type
        - id
      properties:
        type:
          $ref: '#/components/schemas/BusinessAccountPayoutDestinationType'
        id:
          $ref: '#/components/schemas/Id'
        name:
          type: string
          description: Bank name plus last four digits of the bank account number or IBAN.
          example: COMMERZBANK AG ****3000
    FiatMoney:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    FiatPayoutToMoney:
      type: object
      required:
        - currency
      properties:
        amount:
          description: Magnitude of the amount, in units of the currency, with a `.`.
          type: string
          example: '3.14'
          readOnly: true
        currency:
          $ref: '#/components/schemas/FiatCurrency'
    FiatMoneyUsd:
      type: object
      required:
        - amount
        - currency
      properties:
        amount:
          type: string
          description: Magnitude of the amount, in units of the currency, with a `.`.
          example: '3.14'
        currency:
          description: Currency code.
          type: string
          enum:
            - USD
    PayoutErrorCode:
      type: string
      nullable: true
      description: >-
        Indicates the failure reason of a payout. Only present for payouts in
        failed state. Possible values are [`insufficient_funds`,
        `transaction_denied`, `transaction_failed`, `transaction_returned`,
        `bank_transaction_error`, `fiat_account_limit_exceeded`,
        `invalid_bank_account_number`, `invalid_ach_rtn`, `invalid_wire_rtn`,
        `vendor_inactive`]'
      enum:
        - insufficient_funds
        - transaction_denied
        - transaction_failed
        - transaction_returned
        - bank_transaction_error
        - fiat_account_limit_exceeded
        - invalid_bank_account_number
        - invalid_ach_rtn
        - invalid_wire_rtn
        - vendor_inactive
    RiskEvaluation:
      type: object
      description: >-
        Results of risk evaluation. Only present if the payment is denied by
        Circle's risk service.
      nullable: true
      properties:
        decision:
          description: Enumerated decision of the account.
          type: string
          enum:
            - approved
            - denied
            - review
        reason:
          description: Risk reason for the definitive decision outcome.
          type: string
          nullable: true
          example: '3000'
    FinalAdjustments:
      type: object
      description: >-
        Final adjustment which increases (credits) or decreases (debits) the
        total returned amount to the source wallet.
      nullable: true
      properties:
        fxCredit:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fxDebit:
          $ref: '#/components/schemas/FiatMoneyUsd'
    UnwithdrawalObject:
      type: object
      description: >-
        Return information if the payout is returned by bank. Only present if
        `errorCode` of payout is `transaction_returned`.
      nullable: true
      properties:
        id:
          $ref: '#/components/schemas/Id'
        payoutId:
          $ref: '#/components/schemas/IdPayout'
        amount:
          $ref: '#/components/schemas/FiatMoneyUsd'
        fees:
          $ref: '#/components/schemas/FiatMoneyUsd'
        reason:
          type: string
          description: Reason for the return.
          example: payout_returned
        status:
          type: string
          description: >-
            Status of the return. A `pending` status indicates that the return
            is in process; `complete` indicates it finished successfully;
            `failed` indicates it failed.
          enum:
            - pending
            - complete
            - failed
        createDate:
          $ref: '#/components/schemas/UtcTimestamp'
        updateDate:
          $ref: '#/components/schemas/UtcTimestamp'
    UtcTimestamp:
      type: string
      description: ISO-8601 UTC date/time format.
      example: '2020-04-10T02:13:30.000Z'
    BusinessAccountPayoutDestinationType:
      type: string
      description: The destination bank account type.
      enum:
        - wire
        - cubix
    FiatCurrency:
      type: string
      description: Currency code.
      title: Currency
      enum:
        - USD
        - EUR
        - MXN
        - SGD
        - BRL
    IdPayout:
      type: string
      description: >-
        Universally unique identifier (UUID v4) of the payout that is associated
        with the return.
      format: uuid
      example: abdb500d-4a59-457c-801f-2d418c8703ac
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````